@ ECHO off
  REM FASTHELP R1.01   FASTHELP utility.
  REM Copyright (c) 1997,1998 Caldera, Inc.  All rights reserved.
  REM
  REM Last edit: 98-01-12 MPAUL
  REM

  FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "/H"=="%%x" GOTO help
  FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "-H"=="%%x" GOTO help
  FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "/h"=="%%x" GOTO help
  FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "-h"=="%%x" GOTO help
  FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "/HELP"=="%%x" GOTO help
  FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "-HELP"=="%%x" GOTO help
  FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "/help"=="%%x" GOTO help
  FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "-help"=="%%x" GOTO help
  FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "/Help"=="%%x" GOTO help
  FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "-Help"=="%%x" GOTO help
  IF "/?"=="%1" GOTO help
  IF "-?"=="%1" GOTO help
  IF "/?"=="%2" GOTO help
  IF "-?"=="%2" GOTO help
  IF "/?"=="%3" GOTO help
  IF "-?"=="%3" GOTO help
  IF "/?"=="%4" GOTO help
  IF "-?"=="%4" GOTO help
  IF "/?"=="%5" GOTO help
  IF "-?"=="%5" GOTO help
  IF "/?"=="%6" GOTO help
  IF "-?"=="%6" GOTO help
  IF "/?"=="%7" GOTO help
  IF "-?"=="%7" GOTO help
  IF "/?"=="%8" GOTO help
  IF "-?"=="%8" GOTO help
  IF "/?"=="%9" GOTO help
  IF "-?"=="%9" GOTO help
  IF "?"=="%1" GOTO help

  IF NOT "4"=="%@Eval[2+2]%" GOTO start

  IF NOT ""=="%/%" FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "%/%H"=="%%x" GOTO help
  IF NOT ""=="%/%" FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "%/%h"=="%%x" GOTO help
  IF NOT ""=="%/%" FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "%/%HELP"=="%%x" GOTO help
  IF NOT ""=="%/%" FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "%/%help"=="%%x" GOTO help
  IF NOT ""=="%/%" FOR %%x IN (%1 %2 %3 %4 %5 %6 %7 %8 %9) DO IF "%/%Help"=="%%x" GOTO help
  IF NOT ""=="%/%" IF "%/%?"=="%1" GOTO help
  IF NOT ""=="%/%" IF "%/%?"=="%2" GOTO help
  IF NOT ""=="%/%" IF "%/%?"=="%3" GOTO help
  IF NOT ""=="%/%" IF "%/%?"=="%4" GOTO help
  IF NOT ""=="%/%" IF "%/%?"=="%5" GOTO help
  IF NOT ""=="%/%" IF "%/%?"=="%6" GOTO help
  IF NOT ""=="%/%" IF "%/%?"=="%7" GOTO help
  IF NOT ""=="%/%" IF "%/%?"=="%8" GOTO help
  IF NOT ""=="%/%" IF "%/%?"=="%9" GOTO help

:start
@ IF "4"=="%@Eval[2 + 2]%" GOTO 4dos
  IF NOT ""=="%Am_Pm%" GOTO drdos
  IF "DRDOS"=="%Os%" GOTO drdos
  IF "OPENDOS"=="%Os%" GOTO drdos
  IF "NWDOS"=="%Os%" GOTO drdos
  IF "PALMDOS"=="%Os%" GOTO drdos
  IF "NetWare PalmDOS"=="%Os%" GOTO drdos
  GOTO else
:drdos
  IF NOT ""=="%1" GOTO detailed
@ /?
  GOTO dosbook

:detailed
@ CALL %1 /? %2 %3 %4 %5 %6 %7 %8 %9
:dosbook
  ECHO.
  ECHO For more detailed information refer to the online documentation DOSBOOK.
  GOTO end

:else
  IF NOT "DRDOS"=="%Os%" GOTO other
  IF "1.0"=="%Ver%" GOTO drdos
  IF "6.0"=="%Ver%" GOTO drdos
  IF "7"=="%Ver%" GOTO drdos

:other
  REM This could fail...
@ CALL fasthelp.exe %1 %2 %3 %4 %5 %6 %7 %8 %9
  GOTO end

:4dos
  IF NOT ""=="%1" GOTO 4dosdetl
@ ?
  GOTO 4doshelp

:4dosdetl
@ CALL %1 /? %2 %3 %4 %5 %6 %7 %8 %9
:4doshelp
  ECHO For more detailed information press F1 or enter HELP.
  GOTO end

:help
  ECHO FASTHELP R1.01   FASTHELP utility.
  ECHO Copyright (c) 1997,1998 Caldera, Inc.  All rights reserved.
  ECHO.
  IF "4"=="%@Eval[2+2]%" GOTO help10
  IF ""=="%/%" GOTO help10
  ECHO FASTHELP [%/%H] [command [parameters]]
  GOTO dosbook

:help10
  ECHO FASTHELP [/H] [command [parameters]]
  GOTO dosbook

:end
  REM Dummy
  REM Dummy
